describe("Главная страница", () => {
  beforeEach(() => {
    cy.visit("/");
  });

  it("Test 3: На главной странице при нажатии на регистрацию на баннере млм открывается страница регистрации в 'Другдругу'", () => {
    cy.get('a[href="https://drug-drugu.online/sign-up"]')
      .eq(0)
      .should("have.attr", "target", "_blank")
      .invoke("removeAttr", "target")
      .click(); // проверяем, что у этого элемента есть свойство для открытия ссылки в новой вкладе в браузере, затем удаляем это свойство чтобы ссылка открылась в данной вкладе (необходимо для cypress)
    cy.origin("https://drug-drugu.online", () => {
      cy.get(".auth-card__title").contains("Регистрация"); // проверяем, что на странице с новым url есть элемент и он видимый
    });
  });
});
